Eclipse Platform Release 3.7

## org.eclipse.team.ui.synchronize
Class WorkingSetScope

    java.lang.Object
      org.eclipse.team.ui.synchronize.AbstractSynchronizeScope
          org.eclipse.team.ui.synchronize.WorkingSetScope

All Implemented Interfaces:
  EventListener, IPropertyChangeListener, ISynchronizeScope

    public class WorkingSetScope

extends AbstractSynchronizeScope
implements IPropertyChangeListener

A synchronize scope whose roots are defined by a working set.

Since:
  3.0
Restriction:
  This class is not intended to be subclassed by clients.

Field Summary

Fields inherited from interface org.eclipse.team.ui.synchronize.ISynchronizeScope
`NAME, ROOTS`

Constructor Summary
`protected` `WorkingSetScope(IMemento memento)` Create this scope from it's previously saved state
`` `WorkingSetScope(IWorkingSet[] sets)` Create the scope for the working sets

Method Summary
`void` `dispose()` Dispose of the scope when it is no longer needed.
`String` `getName()` Return the name of the scope
`IResource[]` `getRoots()` Return the root resources that define this scope.
`protected void` `init(IMemento memento)` Method invoked from the constructor which populates the fields of this scope
`void` `propertyChange(PropertyChangeEvent event)` Notification that a property has changed.
`void` `saveState(IMemento memento)` Persist the state of this scope.
`protected void` `setWorkingSets(IWorkingSet[] sets)` Initialize this working set scope with the provided working sets.

Methods inherited from class org.eclipse.team.ui.synchronize.AbstractSynchronizeScope
`addPropertyChangeListener, contains, createScope, firePropertyChangedEvent, fireRootsChanges, getMappings, removePropertyChangeListener, saveScope`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkingSetScope

    public WorkingSetScope(IWorkingSet[] sets)

  Create the scope for the working sets

  Parameters:
    `sets` - the working sets that defines this scope

### WorkingSetScope

    protected WorkingSetScope(IMemento memento)

  Create this scope from it's previously saved state

  Parameters:
    `memento` - the memento containing a previous scope information that is used to initialize this scope.

Method Detail

### setWorkingSets

    protected void setWorkingSets(IWorkingSet[] sets)

  Initialize this working set scope with the provided working sets.

  Since:
    3.1

### getName

    public String getName()

  Description copied from interface: `ISynchronizeScope`
  Return the name of the scope

  Specified by:
    `getName` in interface `ISynchronizeScope`
  Returns:
    the name of the scope

### getRoots

    public IResource[] getRoots()

  Description copied from interface: `ISynchronizeScope`
  Return the root resources that define this scope. A return value of `null` indicates that the participant should use its default set of resources.

  Specified by:
    `getRoots` in interface `ISynchronizeScope`
  Returns:
    the root resources or `null`

### propertyChange

    public void propertyChange(PropertyChangeEvent event)

  Description copied from interface: `IPropertyChangeListener`
  Notification that a property has changed.

  This method gets called when the observed object fires a property change event.

  Specified by:
    `propertyChange` in interface `IPropertyChangeListener`
  Parameters:
    `event` - the property change event object describing which property changed and how

### dispose

    public void dispose()

  Description copied from interface: `ISynchronizeScope`
  Dispose of the scope when it is no longer needed.

  Specified by:
    `dispose` in interface `ISynchronizeScope`
  Overrides:
    `dispose` in class `AbstractSynchronizeScope`

### saveState

    public void saveState(IMemento memento)

  Description copied from class: `AbstractSynchronizeScope`
  Persist the state of this scope. Clients must persist enough additional state to know what type (i.e. subclass) of scope to be recreated.

  Overrides:
    `saveState` in class `AbstractSynchronizeScope`
  Parameters:
    `memento` - the memento into which the scope is to be saved

### init

    protected void init(IMemento memento)

  Description copied from class: `AbstractSynchronizeScope`
  Method invoked from the constructor which populates the fields of this scope

  Overrides:
    `init` in class `AbstractSynchronizeScope`
  Parameters:
    `memento` - the memento into which the scope was previously saved

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.